Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000113 [libFirm] firm graph generation major always 2013-08-02 15:12 2016-01-03 03:28
Reporter luzero View Status public  
Assigned To UniQ
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000113: Abort on nested call
Description The reduced source isn't really clear, I know.

cparser -m32 -std=c99 -pthread -g -c -o out.o 000.c

Verify warning: Call T[177:61]: not dominated by operand Call T[177:61]

Abort

0000002 0x000000000059ed5c in irg_assert_verify (irg=0x16536d0)
    at ir/ir/irverify.c:1207
0000003 0x0000000000443db9 in do_irp_opt (name=0x6d2194 "target-lowering")
    at driver/firm_opt.c:484
0000004 0x0000000000444530 in do_firm_lowering (
    input_filename=0x7fffffffdfec "/usr/src/libav/libavformat/matroskaenc.c")
    at driver/firm_opt.c:669
0000005 0x000000000044498e in generate_code (out=0x16e94d0,
    input_filename=0x7fffffffdfec "/usr/src/libav/libavformat/matroskaenc.c")
    at driver/firm_opt.c:794
0000006 0x000000000044dea7 in compilation_loop (mode=CompileAssemble,
    units=0xa04010, standard=STANDARD_C99, out=0xa49dd0) at main.c:1890
0000007 0x0000000000452117 in main (argc=33, argv=0x7fffffffd958) at main.c:2708
Additional Information Similar to 109
cparser 1db99b32
libfirm 6cba2237
Tags No tags attached.
Attached Files c file icon 000.c [^] (1,465 bytes) 2013-08-02 15:12
? file icon matroskaenc.i [^] (251,472 bytes) 2013-08-04 18:18
c file icon 001.c [^] (2,673 bytes) 2013-08-13 13:59
c file icon test.c [^] (269 bytes) 2013-09-13 10:13

- Relationships

-  Notes
(0000163)
Matze (administrator)
2013-08-04 10:18

I can't reproduce it. Are you sure you really have libfirm 6cba2237 (as it sounds exactly as the bug fixed there) and recompiled it cparser+libfirm correctly (try cparser --version)?
(0000165)
luzero (reporter)
2013-08-04 17:39
edited on: 2013-08-04 18:17

I was surprised as well, I guess updating the tree isn't enough to make it pick it up, wiping and rerunning not fixed the problem with matroskaenc...

(0000169)
Matze (administrator)
2013-08-10 03:53

the new testcase indeed shows the problem. I will need some time to trim it down to a reasonable size for debugging though...
(0000170)
luzero (reporter)
2013-08-13 13:59

Here a smaller testcase reduced by iterative delta, I'm still too busy to do it properly =/
(0000176)
Andreas Fried (reporter)
2013-09-13 10:14

test.c is a reduced test case for this bug.
(0000182)
UniQ (developer)
2013-10-23 13:05

Fixed in libfirm bd1b1f0e0f1517ffe997eb103d1b41e4882f3d67.

- Issue History
Date Modified Username Field Change
2013-08-02 15:12 luzero New Issue
2013-08-02 15:12 luzero File Added: 000.c
2013-08-04 10:18 Matze Note Added: 0000163
2013-08-04 10:18 Matze Status new => feedback
2013-08-04 10:18 Matze Resolution open => unable to reproduce
2013-08-04 17:39 luzero Note Added: 0000165
2013-08-04 18:17 luzero Note Edited: 0000165
2013-08-04 18:18 luzero File Added: matroskaenc.i
2013-08-10 03:53 Matze Note Added: 0000169
2013-08-10 03:53 Matze Status feedback => confirmed
2013-08-10 03:53 Matze Resolution unable to reproduce => open
2013-08-13 13:59 luzero File Added: 001.c
2013-08-13 13:59 luzero Note Added: 0000170
2013-09-13 10:13 Andreas Fried File Added: test.c
2013-09-13 10:14 Andreas Fried Note Added: 0000176
2013-10-08 21:48 Matze Project cparser => libFirm
2013-10-23 13:05 UniQ Note Added: 0000182
2013-10-23 13:05 UniQ Status confirmed => resolved
2013-10-23 13:05 UniQ Resolution open => fixed
2013-10-23 13:05 UniQ Assigned To => UniQ
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker